-- phpMyAdmin SQL Dump
-- version 2.11.9
-- http://www.phpmyadmin.net
--
-- 主机: localhost
-- 生成日期: 2010 年 02 月 02 日 16:05
-- 服务器版本: 5.1.26
-- PHP 版本: 5.2.6

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- 数据库: `test`
--

-- --------------------------------------------------------

--
-- 表的结构 `account`
--

CREATE TABLE IF NOT EXISTS `account` (
  `acct_num` int(11) DEFAULT NULL,
  `amount` decimal(10,2) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Triggers `account`
--
DROP TRIGGER IF EXISTS `test`.`upd_check`;
DELIMITER //
CREATE TRIGGER `test`.`upd_check` BEFORE UPDATE ON `test`.`account`
 FOR EACH ROW BEGIN

    IF NEW.amount < 0 THEN

      SET NEW.amount = 0;

  ELSEIF NEW.amount > 100 THEN

    SET NEW.amount = 100;

  END IF;

END
//
DELIMITER ;

--
-- 导出表中的数据 `account`
--

INSERT INTO `account` (`acct_num`, `amount`) VALUES
(137, 14.98),
(141, 100.00),
(97, 0.00);

-- --------------------------------------------------------

--
-- 表的结构 `document1`
--

CREATE TABLE IF NOT EXISTS `document1` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `group_id` int(11) NOT NULL,
  `group_id2` int(11) NOT NULL,
  `date_added` datetime NOT NULL,
  `title` varchar(255) NOT NULL,
  `content` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=8 ;

--
-- 导出表中的数据 `document1`
--

INSERT INTO `document1` (`id`, `group_id`, `group_id2`, `date_added`, `title`, `content`) VALUES
(1, 1, 5, '2009-08-15 19:13:27', 'test one', 'this is my test document number one. also checking search within phrases.'),
(2, 1, 6, '2009-08-15 19:13:27', 'test two', 'this is my test document number two'),
(3, 2, 7, '2009-08-15 19:13:27', 'another doc', 'this is another group'),
(4, 2, 8, '2009-08-15 19:13:27', 'doc number four', 'this is to test groups'),
(5, 44, 54, '2009-09-06 23:16:44', '张映ou oup', '张学友sfasdfasdfasdfasdf张天'),
(6, 66, 65, '2009-09-10 23:24:52', ' another doc', ' another docsfasdfasd'),
(7, 5, 5, '0000-00-00 00:00:00', '张映ou oup', 'safasdfadsfasdfasdf');

-- --------------------------------------------------------

--
-- 表的结构 `documents`
--

CREATE TABLE IF NOT EXISTS `documents` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `group_id` int(11) NOT NULL,
  `group_id2` int(11) NOT NULL,
  `date_added` datetime NOT NULL,
  `title` varchar(255) NOT NULL,
  `content` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=18 ;

--
-- 导出表中的数据 `documents`
--

INSERT INTO `documents` (`id`, `group_id`, `group_id2`, `date_added`, `title`, `content`) VALUES
(1, 1, 5, '2009-08-15 19:13:27', 'test one', 'this is my test document number one. also checking search within phrases.'),
(2, 1, 6, '2009-08-15 19:13:27', 'test two', 'this is my test document number two'),
(3, 2, 7, '2009-08-15 19:13:27', 'another doc', '张映 another group'),
(4, 2, 8, '2009-08-15 19:13:27', 'doc number four', 'this is to test groups'),
(5, 44, 54, '2009-09-06 23:16:44', 'ou oup', '张学友sfasdfasdfasdfasdf张天'),
(6, 66, 65, '2009-09-10 23:24:52', ' another doc', ' another docsfasdfasd'),
(7, 5, 5, '0000-00-00 00:00:00', '张映ou oup', 'safasdfadsfasdfasdf'),
(8, 1, 5, '2009-08-15 19:13:27', 'test one', 'this is my test document number one. also checking search within phrases.'),
(9, 1, 6, '2009-08-15 19:13:27', 'test two', 'this is my test document number two'),
(10, 2, 7, '2009-08-15 19:13:27', 'another doc', 'this is another group'),
(11, 2, 8, '2009-08-15 19:13:27', 'doc number four', 'this is to test groups'),
(12, 44, 54, '2009-09-06 23:16:44', '张映ou oup', '张学友sfasdfasdfasdfasdf张天'),
(15, 66, 65, '2009-09-10 23:24:52', ' another doc', ' another docsfasdfasd'),
(14, 5, 5, '0000-00-00 00:00:00', 'ou oup', 'safasdfadsfasdfasdf'),
(16, 1, 5, '2009-08-15 19:13:27', '我想有个家，不需要多大的地方', '搭建中文全文搜索引擎_安装配置中安装试'),
(17, 1, 5, '2009-08-15 19:13:27', '我很无语，不知道说什么了唉', '安装配置中安装试');

-- --------------------------------------------------------

--
-- 表的结构 `sphinx`
--

CREATE TABLE IF NOT EXISTS `sphinx` (
  `id` int(11) NOT NULL,
  `weight` int(11) NOT NULL,
  `query` varchar(255) NOT NULL,
  `CATALOGID` int(11) NOT NULL,
  `EDITUSERID` int(11) NOT NULL,
  `HITS` int(11) DEFAULT NULL,
  `ADDTIME` int(11) NOT NULL,
  KEY `Query` (`query`)
) ENGINE=SPHINX DEFAULT CHARSET=utf8 CONNECTION='sphinx://localhost:3312/test1';

--
-- 导出表中的数据 `sphinx`
--


-- --------------------------------------------------------

--
-- 表的结构 `sphinx1`
--

CREATE TABLE IF NOT EXISTS `sphinx1` (
  `id` int(11) NOT NULL,
  `weight` int(11) NOT NULL,
  `query` varchar(255) NOT NULL,
  `CATALOGID` int(11) NOT NULL,
  `EDITUSERID` int(11) NOT NULL,
  `HITS` int(11) DEFAULT NULL,
  `ADDTIME` int(11) NOT NULL,
  KEY `Query` (`query`)
) ENGINE=SPHINX DEFAULT CHARSET=utf8 CONNECTION='sphinx://localhost:3312/ test1stemmed ';

--
-- 导出表中的数据 `sphinx1`
--


-- --------------------------------------------------------

--
-- 表的结构 `sph_counter`
--

CREATE TABLE IF NOT EXISTS `sph_counter` (
  `counter_id` int(11) NOT NULL,
  `max_doc_id` int(11) NOT NULL,
  PRIMARY KEY (`counter_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- 导出表中的数据 `sph_counter`
--

INSERT INTO `sph_counter` (`counter_id`, `max_doc_id`) VALUES
(1, 17);

-- --------------------------------------------------------

--
-- 表的结构 `test1`
--

CREATE TABLE IF NOT EXISTS `test1` (
  `a1` int(11) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Triggers `test1`
--
DROP TRIGGER IF EXISTS `test`.`back_tri`;
DELIMITER //
CREATE TRIGGER `test`.`back_tri` BEFORE INSERT ON `test`.`test1`
 FOR EACH ROW begin insert into test2 set a2=NEW.a1; delete from test3 where a3=NEW.a1; update test4 set b4=b4+1 where a4=NEW.a1; end
//
DELIMITER ;

--
-- 导出表中的数据 `test1`
--


-- --------------------------------------------------------

--
-- 表的结构 `test2`
--

CREATE TABLE IF NOT EXISTS `test2` (
  `a2` int(11) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- 导出表中的数据 `test2`
--


-- --------------------------------------------------------

--
-- 表的结构 `test3`
--

CREATE TABLE IF NOT EXISTS `test3` (
  `a3` int(11) NOT NULL AUTO_INCREMENT,
  `aaa` varchar(22) NOT NULL DEFAULT '0',
  PRIMARY KEY (`a3`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=11 ;

--
-- 导出表中的数据 `test3`
--

INSERT INTO `test3` (`a3`, `aaa`) VALUES
(8, '1'),
(2, '12'),
(7, '1'),
(1, '9'),
(5, 'aaaaa'),
(6, 'aaaaa'),
(4, '2'),
(3, '1'),
(9, 'aaaaa'),
(10, 'aaaaa');

-- --------------------------------------------------------

--
-- 表的结构 `test4`
--

CREATE TABLE IF NOT EXISTS `test4` (
  `a4` int(11) NOT NULL AUTO_INCREMENT,
  `b4` varchar(11) DEFAULT '0',
  PRIMARY KEY (`a4`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=11 ;

--
-- Triggers `test4`
--
DROP TRIGGER IF EXISTS `test`.`exchange2`;
DELIMITER //
CREATE TRIGGER `test`.`exchange2` BEFORE UPDATE ON `test`.`test4`
 FOR EACH ROW begin
   if  exists(select a3 from test3 where a3=new.a4) then 
    update test3 set aaa=new.b4 where a3=new.a4;
  elseif  not exists(select a3 from test3 where a3=new.a4) then 
    insert into test3 set a3=new.a4,aaa=new.b4 ;
  end if;
  end
//
DELIMITER ;

--
-- 导出表中的数据 `test4`
--

INSERT INTO `test4` (`a4`, `b4`) VALUES
(1, '9'),
(2, '12'),
(3, '1'),
(4, '2'),
(5, 'aaaaa'),
(6, 'aaaaa'),
(7, '1'),
(8, '1'),
(9, 'aaaaa'),
(10, 'aaaaa');
